Bug 171032 - Drag file to tasklist fails on Window Groups
Drag file to tasklist fails on Window Groups
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks: 171491
  Show dependency treegraph
 
Reported: 2005-10-17 11:27 EDT by Warren Togami
Modified: 2014-06-18 05:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 08:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 91406 None None None Never

  None (edit)
Description Warren Togami 2005-10-17 11:27:11 EDT
If you drag a file from nautilus to a minimized app in your taskbar, then hold
it above the minimized app, then it pops up allowing you to drop it in the app.
 This is a handy behavior that power users of Windows know.  It currently fails
in GNOME if the windows are grouped into groups, like if you have too many
windows of the same application running.

markmc said that this belongs in tasklist.c of libwnck.
Comment 2 Matthias Clasen 2005-10-22 10:19:43 EDT
Not easy to fix. Popping up the menu would require mouse and keyboard grabs, but
the mouse is already grabbed by the drag source.
Comment 3 Ray Strode [halfline] 2006-01-11 16:36:05 EST
so we could just not grab the mouse and keyboard when the menu pops up and
instead just automatically close the menu when the user does a drop, i think.

Seems relatively hard though, and it's not that big of a deal.  We should file
it upstream and drop from target list.

Warren can you file it upstream? Thanks.
Comment 4 Matthias Clasen 2006-08-03 08:56:51 EDT
Luckily, there already was an upstream bug, so we can forgive Warren his
negligence...

Note You need to log in before you can comment on or make changes to this bug.